Bug 1157921 - allow installs with tenant and provisioning on the same subnet
Summary: allow installs with tenant and provisioning on the same subnet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Scott Seago
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-28 03:58 UTC by Kambiz Aghaiepour
Modified: 2014-11-25 17:44 UTC (History)
6 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.4.11-1.el6ost
Doc Type: Bug Fix
Doc Text:
Sharing the 'Tenant' network type with other network types is supported on Neutron VXLAN and GRE. This update removes a UI-level validation step that incorrectly prevented the 'Tenant' network type from being shared at all. Note, however, that with this update users can now attempt to incorrectly share the 'Tenant' network types on Nova networking or Neutron VLAN/Flat. Doing so is not supported.
Clone Of:
Environment:
Last Closed: 2014-11-04 17:04:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Kambiz Aghaiepour 2014-10-28 03:58:38 UTC
Description of problem:

After installation of the latest rhel-osp-installer, I am unable to proceed with an installation defining a deployment where I only have 2 interfaces.  The default interfaces us being used for various things, yet I cannot allocate BOTH external and tenant traffic types.  Both of these are forced into a network that cannot be shared.  In the previous installation, I was able to place "tenant" onto the default network.  Is there any way to enable this again?
Version-Release number of selected component (if applicable):

Comment 2 Mike Burns 2014-10-28 12:51:01 UTC
This change was intentional to avoid various issues with external/tenant/provisioning all existing on the same subnet/interface.  This can be dealt with using vlans on top of an interface

Comment 3 Scott Seago 2014-10-28 15:40:39 UTC
PR is here: https://github.com/theforeman/staypuft/pull/367
The change works just fine on my system locally.

Comment 5 Alexander Chuzhoy 2014-10-29 21:12:01 UTC
Verified:
openstack-puppet-modules-2014.1-24.2.el6ost.noarch
rhel-osp-installer-0.4.6-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-foreman-installer-2.0.32-1.el6ost.noarch
ruby193-rubygem-staypuft-0.4.11-1.el6ost.noarch


Was able to drag/drop the tenant network traffic type onto the default subnet with all the network traffic types except for the external and started a deployment with no issues.

Comment 8 errata-xmlrpc 2014-11-04 17:04:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html

Comment 9 Scott Seago 2014-11-25 17:44:58 UTC
Clearing needinfo for old bug -- doc text is here and bug is closed.


Note You need to log in before you can comment on or make changes to this bug.